%define anolis_release 2
%global pypi_name zipp
%global source_git f0ac6b846684cecce1ee93d32450c45ab607f65c2e0255f0092032d91f07

Name:           python-%{pypi_name}
Version:        3.15.0
Release:        %{anolis_release}%{?dist}
Summary:        Backport of pathlib-compatible object wrapper for zip files
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        https://files.pythonhosted.org/packages/00/27/%{source_git}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel pyproject-rpm-macros
BuildRequires:  python3dist(pytest) python3dist(jaraco-functools)

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i "/import jaraco.itertools/d" tests/test_zipp.py

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -k "not test_joinpath_constant_time"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.15.0-2
- Rebuild with python3.11

* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 3.15.0-1
- package init from upstream
